Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158112 - passwd audit updates
Summary: passwd audit updates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: passwd
Version: 4.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Tomas Mraz
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-05-18 19:36 UTC by Steve Grubb
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHEA-2005-528
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 14:37:20 UTC
Target Upstream Version:


Attachments (Terms of Use)
patch to add audit enhancements (deleted)
2005-05-18 19:39 UTC, Steve Grubb
no flags Details | Diff
patch to add audit enhancements (deleted)
2005-05-18 21:51 UTC, Steve Grubb
no flags Details | Diff
patch to add audit enhancements (deleted)
2005-06-17 13:33 UTC, Steve Grubb
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2005:528 qe-ready SHIPPED_LIVE passwd enhancement update 2005-10-05 04:00:00 UTC

Description Steve Grubb 2005-05-18 19:36:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
The passwd package needs some updates for the eal4 certification. I will attach a patch that provides it.

This imposes a BuildRequires: audit-libs-devel >= 0.8.1 on passwd

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
new functionality

Additional info:

Comment 1 Steve Grubb 2005-05-18 19:39:24 UTC
Created attachment 114530 [details]
patch to add audit enhancements

Comment 2 Steve Grubb 2005-05-18 21:51:24 UTC
Created attachment 114538 [details]
patch to add audit enhancements

Revised patch to remove duplicate information that kernel was adding.

Comment 5 Steve Grubb 2005-06-17 13:33:24 UTC
Created attachment 115610 [details]
patch to add audit enhancements

This patch fixes a bug where ttyname could return NULL. I need to collect this
package before Monday for IBM's test. If you could, please build and let me
know what the resulting package is. Sorry for the short notice. Thanks.

Comment 8 Red Hat Bugzilla 2005-10-05 14:37:20 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2005-528.html



Note You need to log in before you can comment on or make changes to this bug.